Index: trunk/client/modules/Elezioni/votanti.php
===================================================================
--- trunk/client/modules/Elezioni/votanti.php	(revision 138)
+++ trunk/client/modules/Elezioni/votanti.php	(revision 157)
@@ -220,20 +220,38 @@
 	$tab3="_ele_voti_lista";
 	if ($genere>0) {  //se non e' un referendum
+
+
+
 		if (!($genere==4) and $pag==0){  //se non e' una lista uninominale ed e' la prima pagina
-			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0' FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez ";
+                        
+			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0','0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0',t2.voti_nulli FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez ";
 		
 		}else{ // e' una lista uninominale o la seconda pagina
-			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0'
+
+
+
+			# voto disgiunto regione sicilia aggiunge il campo solo lista
+		    if(isdisgiunto()){
+			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.solo_lista,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0',t1.voti_nulli
 			FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
 			left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
 			where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t2.id_sez order by t1.num_sez ";
+		     }else{
+			
+			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0',t1.voti_nulli
+			FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
+			left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
+			where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t2.id_sez order by t1.num_sez ";
+			}
 		}
-		
+	
+
+	
 		$riga1 = "";
 		if($pag==0)$riga1 .="<h2>"._DETTAGLIO." "._VOTIE."</h2>";
-		else $riga1 .="<h2>"._DETTAGLIO." "._VOTIE." "._ASOLA_LISTA."</h2>";
-		
-	}else{ // e' un referendum
-		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo
+		else $riga1 .="<h4>"._DETTAGLIO." "._VOTIE." "._ASOLA_LISTA."</h4>";
+		
+	}else{ // e' un referendum --> t3.id_gruppo vuota per allineare il while (da rifare con array)
+		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo,t1.voti_nulli
 		FROM ".$prefix."_ele_voti_ref as t1 left join ".$prefix."_ele_sezioni as t2 on (t1.id_sez=t2.id_sez)
 		left join  ".$prefix."_ele_gruppo as t3 on (t1.id_gruppo=t3.id_gruppo) left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede)
@@ -259,6 +277,14 @@
 		$riga3 .= "<td>"._SI."</td><td>"._NO."</td>";
 	} elseif ((($genere==5) or ($genere==3)) and $pag==1){
-		$riga3 .= "<td>"._ASOLA_LISTA."</td><td>"._ASOLO_GRUPPO."</td>";
-	}
+		$riga3 .= "<td>Voti "._LISTE."</td>";
+		if(isdisgiunto()){
+			$riga3 .= "<td>Voti "._PRESI."</td>";
+			$riga3 .= "<td>"._SOLO_LISTA."</td>";
+			
+			
+		} // voto disgiunto
+		$riga3 .= "<td>"._ASOLO_GRUPPO."</td>";
+	}
+        
 	$riga3 .= "<td>"._VALIDI."</td><td>"._NULLI."</td><td>"._BIANCHI."</td><td>"._CONTESTATI."</td>"
     ."</tr>\n";
@@ -268,5 +294,8 @@
 	$scrutinate=1;
 	$tot_u=0;$tot_d=0;$tot_voti=0; $tot_si=0;$tot_no=0;$tot_validi=0;$tot_nulli=0;$tot_bianchi=0;$tot_contestati=0;
-	while (list($id_gruppo,$id,$num,$si,$no,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo) = mysql_fetch_row($res)){
+	$tot_sololista=0;$tot_gruppo=0;
+	#$si e $no sono valide anche per voti lista e solo gruppo per i non referendum
+	while (list($id_gruppo,$id,$num,$si,$no,$sololista,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo,$votinulli) = mysql_fetch_row($res)){
+	$nulli+=$votinulli;
 	// inserimento numeri di sez non scrutinate
 		while ($scrutinate < $num) { 
@@ -274,4 +303,11 @@
 			$scrutinate++;
 		}
+
+	# voti sindaco, gruppo o presidente
+	$tab5="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id'";
+	$res3 = mysql_query("$tab5", $dbi);
+	list($sindaco) = mysql_fetch_row($res3);	
+	
+
 		$scrutinate++; 
 	// fine inserimento	
@@ -281,4 +317,5 @@
 		list($votid,$votiu,$voti) = mysql_fetch_row($res2);
 //		$voti=$votiu+$votid;
+		$tot_gruppo+=$sindaco;
 		$tot_u+=$votiu;
 		$tot_d+=$votid;
@@ -290,4 +327,5 @@
 		$tot_bianchi+=$bianchi;
 		$tot_contestati+=$contestati;
+		$tot_sololista+=$sololista;
 		$righe .= "<tr class=\"bggray2\">
 		<td>$num</td>
@@ -295,9 +333,19 @@
 		<td>".number_format($votid,0,',','.')."</td>
 		<td>".number_format($voti,0,',','.')."</td>";
-		if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righe 
-		.= "<td>".number_format($si,0,',','.')."</td>
-		<td>".number_format($no,0,',','.')."</td>";}
-		
+		if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+		$righe .= "<td>".number_format($si,0,',','.')."</td>";
+		
+		if(isdisgiunto()){
+			$righe .= "<td>".number_format($sindaco,0,',','.')."</td>";
+			$righe .= "<td>".number_format($sololista,0,',','.')."</td>";
+			}
+		$righe .= "<td>".number_format($no,0,',','.')."</td>";	
+
+
+}
+		
+
 		$righe .= "<td>".number_format($validi,0,',','.')."</td>
+
 		<td>$nulli</td>
 		<td>$bianchi</td>
@@ -320,5 +368,11 @@
 		$righet .= "<td>"._SI."</td><td>"._NO."</td>";
 	} elseif ((($genere==5) or ($genere==3)) and $pag==1){
-		$righet .= "<td>"._ASOLA_LISTA."</td><td>"._ASOLO_GRUPPO."</td>";
+		$righet .= "<td>Voti "._LISTE."</td>";
+		if(isdisgiunto()){
+			$righet .= "<td>Voti "._PRESI."</td>";
+			$righet .= "<td>"._SOLO_LISTA."</td>";
+		} // voto disgiunto	
+		$righet .= "<td>"._ASOLO_GRUPPO."</td>";
+		
 	}
 	if($totel==0) $totelrip="0.00"; else $totelrip=number_format($tot_voti*100/$totel,2);
@@ -330,16 +384,29 @@
 
 
-	<tr class=\"td-vuotoc\"><td><b>"._TOT."</b></td><td><b>".number_format($tot_u,0,',','.')."</b><br /><i>(".$totmrip." %)</i></td><td><b>".number_format($tot_d,0,',','.')."</b><br /><i>(".$totfrip." %)</i></td><td><b>".number_format($tot_voti,0,',','.')."</b><br /><i>(".$totelrip." %)</i></td>";
+	<tr class=\"td-vuotoc\"><td><b>"._TOT."</b></td><td><b>".number_format($tot_u,0,',','.')."</b><br /><i>(".$totmrip."%)</i></td><td><b>".number_format($tot_d,0,',','.')."</b><br /><i>(".$totfrip."%)</i></td><td><b>".number_format($tot_voti,0,',','.')."</b><br /><i>(".$totelrip."%)</i></td>";
 	
 	// se e' un referendum o una consultazione con raggruppamenti
 
 	if($tot_validi){
-	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(".number_format($tot_si*100/$tot_validi,2)." %)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(".number_format($tot_no*100/$tot_validi,2)." %)</i></td>";}
-	$righet .= "<td><b>".number_format($tot_validi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_validi*100/$tot_voti,2):'0.00')." %)</i></td><td><b>"
-	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0.00')." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0.00')." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0.00')." %)</i></td></tr>";
+	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+		$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(".number_format($tot_si*100/$tot_validi,2)."%)</i></td>";
+
+		if(isdisgiunto()){
+			$righet .="<td><b>".number_format($tot_gruppo,0,',','.')."</b><br /><i>(".number_format($tot_gruppo*100/$tot_validi,2)."%)</i></td>";
+			$righet .="<td><b>".number_format($tot_sololista,0,',','.')."</b><br /><i>(".number_format($tot_sololista*100/$tot_validi,2)."%)</i></td>";
+		}
+
+
+	$righet .="<td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(".number_format($tot_no*100/$tot_validi,2)."%)</i></td>";	
+	}
+
+
+		$righet .= "<td><b>".number_format($tot_validi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_validi*100/$tot_voti,2):'0.00')."%)</i></td><td><b>"
+	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0.00')."%)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0.00')."%)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0.00')."%)</i></td></tr>";
 	}else{
-	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(0.00 %)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(0.00 %)</i></td>";}
-	$righet .= "<td><b>0</b><br /><i>(0.00 %)</i></td><td><b>"
-	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0,00')." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0,00')." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0,00')." %)</i></td></tr>";
+	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+	$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(0.00%)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(0.00%)</i></td>";}
+	$righet .= "<td><b>0</b><br /><i>(0.00%)</i></td><td><b>"
+	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0,00')."%)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0,00')."%)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0,00')."%)</i></td></tr>";
 	}
 	}
@@ -395,4 +462,5 @@
 
 
+
 ############### stampa
 if ($xls!='1' && $pdf!='1'){
@@ -406,7 +474,14 @@
 	echo "$html \n";
 }elseif($pdf=='1'){
+
+
 		$nomefile="$descr_cons votanti.pdf";
-		
-		$stampa ="$datipdf $html";
+
+
+
+
+
+		
+		$stampa ="<div style=\"margin:0 auto;text-align:center;\">$datipdf $html</div>";
 		
 		require_once('inc/hpdf403/html2pdf.class.php');
@@ -414,5 +489,9 @@
 		$html2pdf->WriteHTML($stampa, isset($_GET['vuehtml']));
 		$html2pdf->Output($nomefile);
-}
+
+
+}
+
+
 
 
Index: trunk/client/temi/altro/index.php
===================================================================
--- trunk/client/temi/altro/index.php	(revision 138)
+++ trunk/client/temi/altro/index.php	(revision 157)
@@ -19,6 +19,6 @@
       <tr>
         <td class="logoleft"></td>
-        <td class="logo">Eleonline</td>
-        <td class="logoright"></td>
+        <td class="logo"><a href="modules.php?name=Elezioni">Eleonline</a></td>
+        <td class="logoright"></td>	
         <td class="tag">Consultazioni elettorali</td>
         <td class="tag">';
Index: trunk/client/temi/blog/index.php
===================================================================
--- trunk/client/temi/blog/index.php	(revision 138)
+++ trunk/client/temi/blog/index.php	(revision 157)
@@ -23,5 +23,5 @@
 		noblocco();
 	echo '</div>
-<h1><a href="#">Eleonline</a> / <a href="http://www.eleonline.it/"><b>Elezioni on line</b></a></h1>
+<h1><a href="modules.php?name=Elezioni">Home Page</a> / <a href="modules.php?name=Elezioni"><b>Elezioni on line</b></a></h1>
 
 </div>
Index: trunk/client/temi/default/index.php
===================================================================
--- trunk/client/temi/default/index.php	(revision 138)
+++ trunk/client/temi/default/index.php	(revision 157)
@@ -15,5 +15,5 @@
 global $tema,$file,$sitename,$blocco;
 echo "<div id=\"container\" >";
- echo '	<a href="http://www.eleonline.it">
+ echo '	<a href="modules.php?name=Elezioni">
 			<img  class="nobordo" src="temi/'.$tema.'/images/logo.gif" alt="$sitename" width="762" height="89" />
       			</a><br />';
Index: trunk/client/temi/stylized/index.php
===================================================================
--- trunk/client/temi/stylized/index.php	(revision 138)
+++ trunk/client/temi/stylized/index.php	(revision 157)
@@ -30,6 +30,6 @@
 // logo
 echo ' <div id="logo">
-        <h1><a href="http://www.eleonline.it">eleonline</a></h1>
-	<h2>consultazioni elettorali on line + <a href="http://www.linuxap.it"> by l.apolito e r.gigli</a>
+        <h1><a href="modules.php?name=Elezioni">eleonline</a></h1>
+	<h2> <a href="http://www.eleonline.it">consultazioni elettorali on line + by l.apolito e r.gigli</a>
 </h2>
 </div>
Index: trunk/client/temi/tour/index.php
===================================================================
--- trunk/client/temi/tour/index.php	(revision 138)
+++ trunk/client/temi/tour/index.php	(revision 157)
@@ -65,5 +65,5 @@
     <div>
         <h1>';
-		echo "$descr_com";
+		echo "<a href=\"modules.php?name=Elezioni\"> $descr_com</a>";
 echo '</a></h1>
 	<b>consultazioni elettorali on line </b> <a href="http://www.eleonline.it"> <i>by l.apolito e r.gigli</i></a>
Index: trunk/client/temi/yellowblu/index.php
===================================================================
--- trunk/client/temi/yellowblu/index.php	(revision 138)
+++ trunk/client/temi/yellowblu/index.php	(revision 157)
@@ -27,5 +27,5 @@
     <div id="logo">
         <h1>';
-		echo "$descr_com";
+		echo "<a href=\"modules.php?name=Elezioni\"> $descr_com</a>";
 echo '</a></h1>
 	<b>consultazioni elettorali on line </b><br /> <a href="http://www.eleonline.it"> <i>by l.apolito e r.gigli</i></a>
Index: trunk/index.php
===================================================================
--- trunk/index.php	(revision 157)
+++ trunk/index.php	(revision 157)
@@ -0,0 +1,13 @@
+<?php
+
+/************************************************************************/
+/* Eleonline - Raccolta e diffusione dei dati elettorali                */
+/* by Luciano Apolito & Roberto Gigli                                   */
+/* http://www.eleonline.it                                              */
+/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/************************************************************************/
+
+    Header("Location: client/index.php");
+die();
+
+?>
Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 138)
+++ trunk/install/sql/eleonline.sql	(revision 157)
@@ -301,4 +301,6 @@
   `supminpremio` int(3) NOT NULL,
   `infminpremio` int(3) NOT NULL,
+  `infdisgiunto` enum('0','1') NOT NULL DEFAULT '0',
+  `supdisgiunto` enum('0','1') NOT NULL DEFAULT '0',
   PRIMARY KEY  (`id_conf`)
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
@@ -311,5 +313,9 @@
 /*!40000 ALTER TABLE `soraldo_ele_conf` DISABLE KEYS */;
 LOCK TABLES `soraldo_ele_conf` WRITE;
-INSERT INTO `soraldo_ele_conf` VALUES (1,'Legge Italiana 267/2000',3,'1',67,3,60,3,'1','1',40,40),(2,'Regione Sicilia precedente al 2008',2,'0',67,3,60,3,'1','1',40,40),(3,'Regione Sicilia Legge n. 22 del 16/12/2008',2,'0',67,5,60,3,'1','0',40,40);
+INSERT INTO `soraldo_ele_conf` VALUES 
+(1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(2, 'Regione Sicilia precedente al 2008', 2, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 2, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0'),
+(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1');
 UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_conf` ENABLE KEYS */;
@@ -409,5 +415,34 @@
 LOCK TABLES `soraldo_ele_fasce` WRITE;
 /*!40000 ALTER TABLE `soraldo_ele_fasce` DISABLE KEYS */;
-INSERT INTO `soraldo_ele_fasce` VALUES (1,3000,'2000-01-01','2010-12-31',12),(2,10000,'2000-01-01','2010-12-31',16),(3,15000,'2000-01-01','2010-12-31',20),(4,30000,'2000-01-01','2010-12-31',20),(5,100000,'2000-01-01','2010-12-31',30),(6,250000,'2000-01-01','2010-12-31',40),(7,500000,'2000-01-01','2010-12-31',46),(8,1000000,'2000-01-01','2010-12-31',50),(9,100000000,'2000-01-01','2010-12-31',60),(4,30000,'2011-01-01','0000-00-00',16),(1,3000,'2011-01-01','0000-00-00',9),(2,10000,'2011-01-01','0000-00-00',12),(3,15000,'2011-01-01','0000-00-00',16),(5,100000,'2011-01-01','0000-00-00',24),(6,250000,'2011-01-01','0000-00-00',32),(7,500000,'2011-01-01','0000-00-00',36),(8,1000000,'2011-01-01','0000-00-00',40),(9,100000000,'2011-01-01','0000-00-00',48);
+INSERT INTO `soraldo_ele_fasce` VALUES 
+(1, 3000, '2000-01-01', '2010-12-31', 12),
+(2, 10000, '2000-01-01', '2010-12-31', 16),
+(3, 15000, '2000-01-01', '2010-12-31', 20),
+(4, 30000, '2000-01-01', '2010-12-31', 20),
+(5, 100000, '2000-01-01', '2010-12-31', 30),
+(6, 250000, '2000-01-01', '2010-12-31', 40),
+(7, 500000, '2000-01-01', '2010-12-31', 46),
+(8, 1000000, '2000-01-01', '2010-12-31', 50),
+(9, 100000000, '2000-01-01', '2010-12-31', 60),
+(4, 30000, '2011-01-01', '2011-09-14', 16),
+(1, 3000, '2011-01-01', '2011-09-14', 9),
+(2, 10000, '2011-01-01', '2011-09-14', 12),
+(3, 15000, '2011-01-01', '2011-09-14', 16),
+(5, 100000, '2011-01-01', '2011-09-14', 24),
+(6, 250000, '2011-01-01', '2011-09-14', 32),
+(7, 500000, '2011-01-01', '2011-09-14', 36),
+(8, 1000000, '2011-01-01', '2011-09-14', 40),
+(9, 100000000, '2011-01-01', '2011-09-14', 48),
+(1, 1000, '2011-09-15', '0000-00-00', 6),
+(2, 3000, '2011-09-15', '0000-00-00', 6),
+(3, 5000, '2011-09-15', '0000-00-00', 7),
+(4, 10000, '2011-09-15', '0000-00-00', 10),
+(5, 15000, '2011-09-15', '0000-00-00', 16),
+(6, 30000, '2011-09-15', '0000-00-00', 16),
+(7, 100000, '2011-09-15', '0000-00-00', 24),
+(8, 250000, '2011-09-15', '0000-00-00', 32),
+(9, 500000, '2011-09-15', '0000-00-00', 36),
+(10, 1000000, '2011-09-15', '0000-00-00', 40),
+(11, 100000000, '2011-09-15', '0000-00-00', 48);
 /*!40000 ALTER TABLE `soraldo_ele_fasce` ENABLE KEYS */;
 UNLOCK TABLES;
@@ -741,4 +776,6 @@
   `contestati_lista` int(7) NOT NULL default '0',
   `voti_nulli_lista` int(7) NOT NULL default '0',
+  `bianchi_lista` int(7) NOT NULL DEFAULT '0',
+  `nulli_lista` int(7) NOT NULL DEFAULT '0',
   UNIQUE KEY `id_sezi` (`id_sez`),
   KEY `id_cons` (`id_cons`),
Index: trunk/sql/aggiornamento-2.0-20090611.sql
===================================================================
--- trunk/sql/aggiornamento-2.0-20090611.sql	(revision 157)
+++ trunk/sql/aggiornamento-2.0-20090611.sql	(revision 157)
@@ -0,0 +1,49 @@
+--
+-- MySQL dump 10.10
+--
+-- Host: localhost    Database: eleonline2
+-- ------------------------------------------------------
+-- Server version	5.0.19-standard
+
+/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
+/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
+/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
+/*!40101 SET NAMES utf8 */;
+/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
+/*!40103 SET TIME_ZONE='+00:00' */;
+/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
+/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
+/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
+/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
+
+
+
+-- Table structure for table `soraldo_ele_tipo`
+--
+
+DROP TABLE IF EXISTS `soraldo_ele_tipo`;
+CREATE TABLE `soraldo_ele_tipo` (
+  `tipo_cons` int(11) NOT NULL default '0',
+  `descrizione` varchar(30) default NULL,
+  `lingua` varchar(2) NOT NULL default '0',
+  `genere` tinyint(4) NOT NULL default '0',
+  `voto_g` enum('0','1') NOT NULL default '0',
+  `voto_l` enum('0','1') NOT NULL default '0',
+  `voto_c` enum('0','1') NOT NULL default '0',
+  `circo` enum('0','1') NOT NULL default '0',
+  PRIMARY KEY  (`tipo_cons`)
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dumping data for table `soraldo_ele_tipo`
+--
+
+
+/*!40000 ALTER TABLE `soraldo_ele_tipo` DISABLE KEYS */;
+LOCK TABLES `soraldo_ele_tipo` WRITE;
+INSERT INTO `soraldo_ele_tipo` VALUES (1,'PROVINCIALI','it',3,'0','0','0','0'),(2,'REFERENDUM','it',0,'0','0','0','0'),(3,'COMUNALI','it',5,'0','0','0','0'),(4,'CIRCOSCRIZIONALI','it',5,'0','0','0','1'),(5,'BALLOTTAGGIO COMUNALI','it',1,'0','0','0','0'),(6,'CAMERA','it',2,'0','0','0','0'),(7,'SENATO','it',2,'0','0','0','0'),(8,'EUROPEE','it',4,'0','0','0','0'),(9,'REGIONALI','it',5,'0','0','0','0'),(10,'SENATO CON GRUPPI','it',5,'1','0','1','0'),(11,'CAMERA CON GRUPPI','it',5,'1','0','1','0'),(12,'PROVINCIALI CON COLLEGI','it',3,'0','0','0','1'),(13,'BALLOTTAGGIO PROVINCIALI','it',1,'0','0','0','0'),(14,'EUROPEE CON COLLEGI','it',4,'0','0','0','1'),(15,'CAMERA CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(16,'SENATO CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(17,'REGIONALI CON COLLEGI','it',5,'0','0','0','1');
+UNLOCK TABLES;
+/*!40000 ALTER TABLE `soraldo_ele_tipo` ENABLE KEYS */;
+
+
+
Index: trunk/sql/aggiornamento-2.0_2011-04-16.sql
===================================================================
--- trunk/sql/aggiornamento-2.0_2011-04-16.sql	(revision 157)
+++ trunk/sql/aggiornamento-2.0_2011-04-16.sql	(revision 157)
@@ -0,0 +1,73 @@
+--
+-- MySQL dump 10.10
+--
+-- Host: localhost    Database: eleonline2
+-- ------------------------------------------------------
+-- Server version	5.0.19-standard
+
+/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
+/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
+/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
+/*!40101 SET NAMES utf8 */;
+/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
+/*!40103 SET TIME_ZONE='+00:00' */;
+/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
+/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
+/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
+/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
+
+
+-- MySQL dump 10.11
+--
+-- Host: localhost    Database: elefonte
+-- ------------------------------------------------------
+-- Server version	5.0.51a-3ubuntu5.4
+
+/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
+/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
+/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
+/*!40101 SET NAMES utf8 */;
+/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
+/*!40103 SET TIME_ZONE='+00:00' */;
+/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
+/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
+/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
+/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
+
+--
+-- Table structure for table `soraldo_ele_fasce`
+--
+
+DROP TABLE IF EXISTS `soraldo_ele_fasce`;
+SET @saved_cs_client     = @@character_set_client;
+SET character_set_client = utf8;
+CREATE TABLE `soraldo_ele_fasce` (
+  `id_fascia` int(2) NOT NULL,
+  `abitanti` int(11) NOT NULL,
+  `data_inizio` date NOT NULL,
+  `data_fine` date NOT NULL,
+  `seggi` int(4) NOT NULL,
+  KEY `id_fascia` (`id_fascia`)
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+SET character_set_client = @saved_cs_client;
+
+--
+-- Dumping data for table `soraldo_ele_fasce`
+--
+
+LOCK TABLES `soraldo_ele_fasce` WRITE;
+/*!40000 ALTER TABLE `soraldo_ele_fasce` DISABLE KEYS */;
+INSERT INTO `soraldo_ele_fasce` VALUES (1,3000,'2000-01-01','2010-12-31',12),(2,10000,'2000-01-01','2010-12-31',16),(3,15000,'2000-01-01','2010-12-31',20),(4,30000,'2000-01-01','2010-12-31',20),(5,100000,'2000-01-01','2010-12-31',30),(6,250000,'2000-01-01','2010-12-31',40),(7,500000,'2000-01-01','2010-12-31',46),(8,1000000,'2000-01-01','2010-12-31',50),(9,100000000,'2000-01-01','2010-12-31',60),(4,30000,'2011-01-01','0000-00-00',16),(1,3000,'2011-01-01','0000-00-00',9),(2,10000,'2011-01-01','0000-00-00',12),(3,15000,'2011-01-01','0000-00-00',16),(5,100000,'2011-01-01','0000-00-00',24),(6,250000,'2011-01-01','0000-00-00',32),(7,500000,'2011-01-01','0000-00-00',36),(8,1000000,'2011-01-01','0000-00-00',40),(9,100000000,'2011-01-01','0000-00-00',48);
+/*!40000 ALTER TABLE `soraldo_ele_fasce` ENABLE KEYS */;
+UNLOCK TABLES;
+/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
+
+/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
+/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
+/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
+/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
+/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
+/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
+/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
+
+-- Dump completed on 2011-04-16  9:33:30
Index: trunk/sql/aggiornamento-2.0_2011-04-26.sql
===================================================================
--- trunk/sql/aggiornamento-2.0_2011-04-26.sql	(revision 157)
+++ trunk/sql/aggiornamento-2.0_2011-04-26.sql	(revision 157)
@@ -0,0 +1,2 @@
+ALTER TABLE `soraldo_ele_gruppo` ADD `prognome` TEXT NULL ,
+ADD `programma` MEDIUMBLOB NULL;
Index: trunk/sql/aggiornamento-2.0_2012-04-22.sql
===================================================================
--- trunk/sql/aggiornamento-2.0_2012-04-22.sql	(revision 157)
+++ trunk/sql/aggiornamento-2.0_2012-04-22.sql	(revision 157)
@@ -0,0 +1,77 @@
+DROP TABLE IF EXISTS `soraldo_ele_fasce`;
+CREATE TABLE IF NOT EXISTS `soraldo_ele_fasce` (
+`id_fascia` int(2) NOT NULL,
+`abitanti` int(11) NOT NULL,
+`data_inizio` date NOT NULL,
+`data_fine` date NOT NULL,
+`seggi` int(4) NOT NULL,
+KEY `id_fascia` (`id_fascia`)
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_fasce`
+--
+
+INSERT INTO `soraldo_ele_fasce` (`id_fascia`, `abitanti`, `data_inizio`, `data_fine`, `seggi`) VALUES
+(1, 3000, '2000-01-01', '2010-12-31', 12),
+(2, 10000, '2000-01-01', '2010-12-31', 16),
+(3, 15000, '2000-01-01', '2010-12-31', 20),
+(4, 30000, '2000-01-01', '2010-12-31', 20),
+(5, 100000, '2000-01-01', '2010-12-31', 30),
+(6, 250000, '2000-01-01', '2010-12-31', 40),
+(7, 500000, '2000-01-01', '2010-12-31', 46),
+(8, 1000000, '2000-01-01', '2010-12-31', 50),
+(9, 100000000, '2000-01-01', '2010-12-31', 60),
+(4, 30000, '2011-01-01', '2011-09-14', 16),
+(1, 3000, '2011-01-01', '2011-09-14', 9),
+(2, 10000, '2011-01-01', '2011-09-14', 12),
+(3, 15000, '2011-01-01', '2011-09-14', 16),
+(5, 100000, '2011-01-01', '2011-09-14', 24),
+(6, 250000, '2011-01-01', '2011-09-14', 32),
+(7, 500000, '2011-01-01', '2011-09-14', 36),
+(8, 1000000, '2011-01-01', '2011-09-14', 40),
+(9, 100000000, '2011-01-01', '2011-09-14', 48),
+(1, 1000, '2011-09-15', '0000-00-00', 6),
+(2, 3000, '2011-09-15', '0000-00-00', 6),
+(3, 5000, '2011-09-15', '0000-00-00', 7),
+(4, 10000, '2011-09-15', '0000-00-00', 10),
+(5, 15000, '2011-09-15', '0000-00-00', 16),
+(6, 30000, '2011-09-15', '0000-00-00', 16),
+(7, 100000, '2011-09-15', '0000-00-00', 24),
+(8, 250000, '2011-09-15', '0000-00-00', 32),
+(9, 500000, '2011-09-15', '0000-00-00', 36),
+(10, 1000000, '2011-09-15', '0000-00-00', 40),
+(11, 100000000, '2011-09-15', '0000-00-00', 48);
+
+
+DROP TABLE `soraldo_ele_conf`;
+
+CREATE TABLE IF NOT EXISTS `soraldo_ele_conf` (
+  `id_conf` int(11) NOT NULL auto_increment,
+  `descrizione` varchar(50) NOT NULL,
+  `limite` int(2) NOT NULL,
+  `consin` enum('0','1') NOT NULL default '1',
+  `infpremio` int(3) NOT NULL,
+  `supsbarramento` int(3) NOT NULL,
+  `suppremio` int(3) NOT NULL,
+  `listinfsbar` int(3) NOT NULL default '1',
+  `listinfconta` enum('0','1') NOT NULL default '1',
+  `listsupconta` enum('0','1') NOT NULL default '1',
+  `supminpremio` int(3) NOT NULL,
+  `infminpremio` int(3) NOT NULL,
+  `infdisgiunto` enum('0','1') NOT NULL default '0',
+  `supdisgiunto` enum('0','1') NOT NULL default '0',
+  PRIMARY KEY  (`id_conf`)
+) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_conf`
+--
+
+INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`) VALUES
+(1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(2, 'Regione Sicilia precedente al 2008', 2, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 2, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0'),
+(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1');
+
+ALTER TABLE `soraldo_ele_sezioni` ADD `solo_lista` INT( 7 ) NOT NULL DEFAULT '0';
